<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2003 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// |                                                                      |
// | Portions Copyright (c) 2003 osCommerce                               |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
//  $Id: froogle.php 11-04-2005 dave@open-operations.com
//
function linkencode ($p_url) {
  $ta = parse_url($p_url);
  if (!empty($ta[scheme])) { $ta[scheme].='://'; }
  if (!empty($ta[pass]) and !empty($ta[user])) {
          $ta[user].=':';
          $ta[pass]=rawurlencode($ta[pass]).'@';
  } elseif (!empty($ta[user])) {
      $ta[user].='@';
  }
  if (!empty($ta[port]) and !empty($ta[host])) {
      $ta[host]=''.$ta[host].':';
  } elseif    (!empty($ta[host])) {
      $ta[host]=$ta[host];
  }
  if (!empty($ta[path])) {
      $tu='';
      $tok=strtok($ta[path], "\\/");
      while (strlen($tok)) {
          $tu.=rawurlencode($tok).'/';
          $tok=strtok("\\/");
      }
 $ta[path]='/'.trim($tu, '/');
  }
  if (!empty($ta[query])) { $ta[query]='?'.$ta[query]; }
  if (!empty($ta[fragment])) { $ta[fragment]='#'.$ta[fragment]; }
  return implode('', array($ta[scheme], $ta[user], $ta[pass], $ta[host], $ta[port], $ta[path], $ta[query], $ta[fragment]));
}
?>